- 2020-07-14
  - Set preliminary feature freeze date to August 4.
- 2020-07-21
  - Set feature freeze date to August 18.
- 2020-08-18
  - Set feature freeze date to September due to UI changes expected to be finished not before August 25.
- 2020-09-24
  - Received notification for inclusion of core#260.
- 2020-10-06
  - Prepared internal release announcement.
  - Received notification for Core changes to be ready for release.
  - Asked to merge adblocklpluschrome@next into master.
- 2020-10-07
  - Received notification that changes have been merged into master.
  - Published internal release announcement.
- 2020-10-16
  - Set release date to 2020-11-17 to not interfer with the ongoing update campaign, which is scheduled to end at 2020-11-11.
- 2020-11-16
  - Received QA LGTM.
- 2020-11-17
  - Received builds.
  - Failed to publish to downloads repo: 413 Request Entity Too Large
  - Investigated problem and traced it back to webext#109.  
    https://gitlab.com/eyeo/adblockplus/adblockpluschrome/-/blob/8c8395781c61ac43cd9abdcc58e2c579f95a2b90/gulpfile.mjs#L95
  - Asked WebExt team for further information: Line introduced due to webext#173. Including source maps in release builds is intentional. Removed from legacy buildtools previously and waited for gulp to reintroduce them.
  - Verified that source maps are included in release builds prior to 3.9.
  - Published to CWS.
  - Published to AMO.
  - Noticed that release is live on AMO
  - Published to Microsoft store with error message: Something went wrong. Please try again.
  - Published to Opera store with new permission: Access to one or more hosts (not all)
  - Published release notes.
  - Noticed that release is live on CWS.
  - Noticed that release is live on Opera store.
  - Created https://jira.eyeo.com/browse/HD-1951 to fix problem with downloads repo.
- 2020-11-20
  - Noticed that release is live on Microsoft store.
- 2020-11-27
  - Published to downloads repo.
- 2021-04-13
  - Added link to related blog post to release notes after noticing that it went live.
